Get transaction
curl --request GET \
--url https://api.use3p.com/api/transaction/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.use3p.com/api/transaction/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.use3p.com/api/transaction/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": 123,
"created_at": "<string>",
"id": "<string>",
"meta": {
"email": "<string>",
"name": "<string>",
"others": {},
"phone": "<string>",
"product": "<string>",
"product_description": "<string>",
"redirect_url": "<string>"
},
"provider": "flutterwave",
"reference": "<string>",
"status": "pending",
"type": "debit",
"updated_at": "<string>"
}transactions
Get transaction
Get a transaction by ID
GET
/
api
/
transaction
/
{id}
Get transaction
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Transaction ID
Response
200 - application/json
Transaction retrieved successfully
Amount holds the value of the "amount" field.
CreatedAt holds the value of the "created_at" field.
ID of the ent.
Show child attributes
Show child attributes
Available options:
flutterwave, paystack Reference holds the value of the "reference" field.
Available options:
pending, successful, failed Available options:
debit, credit UpdatedAt holds the value of the "updated_at" field.